Skip to content

Video Remix

Submit a remix based on an existing Grok video task.

http
POST /v1/videos/video_abc123/remix

Available models

Headers

NameTypeRequiredDescription
stringYesRequest authentication. Use a Bearer Token, for example: .
stringYesRequest content type. Must be set to .

Request parameters

NameTypeRequiredDescription
stringYesSource video task ID, matching the returned by Grok video generation or the query endpoint.

Request body

NameTypeRequiredDescription
stringYesModel name. See Available models above.
stringYesRemix prompt describing how to rewrite or continue the original video.
stringYesResolution tier: or .
stringYesAspect ratio: ,, or .
stringNoParent task ID.

Request example

bash
curl -X POST https://octopusx.ai/v1/videos/grok:48a67431-0708-46d1-9ab9-83cb84700153/remix \
  -H "Authorization: Bearer <token>" \
  -H "Content-Type: application/json" \
  -H "Accept: application/json" \
  -d '
{
  "model": "grok-video-3",
  "prompt": "play with another white cat",
  "aspect_ratio": "3:2",
  "size": "1080P",
  "parent_post_id": "5afc6f67-23fe-4a74-a073-727ff662f870"
}'

Response example

json
{
  "id": "grok:48a67431-0708-46d1-9ab9-83cb84700153",
  "status": "processing",
  "status_update_time": 1762685256
}

Response fields

NameTypeDescription
stringNew remix task ID.
stringTask status. Common values include ,,.
integerLast status update time (Unix timestamp).